import config from "config";
import { GuildMember, GuildMemberRoleManager, type APIInteractionGuildMember } from "discord.js";

export async function checkPermission(member: GuildMember | APIInteractionGuildMember | null) {
    let permission = false;
    if (member?.roles instanceof GuildMemberRoleManager) {
        if (member.roles.cache.has(config.discord.roleAdmin) || member.roles.cache.has(config.discord.roleMod)) {
            permission = true;
        }
    }
    console.log("user permission == " + permission);
    return permission;
}